---
type: api
title: Get monitors
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-synthetic-monitors
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-synthetic-monitors
products:
  - Kibana
---

# Get monitors

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/synthetics/monitors`
- `GET` `/s/{space_id}/api/synthetics/monitors`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get a list of monitors.
You must have `read` privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.

## Query String Parameters

- `filter` (string)
  Additional filtering criteria.
- `locations` (union string | [] string)
  The locations to filter by.
  One of: `string` or `string[]`
- `monitorTypes` (union enum | [] enum)
  The monitor types to filter.
  Values: `browser`, `http`, `icmp`, `tcp`
- `page` (integer)
  The page number for paginated results.
- `per_page` (integer)
  The number of items to return per page.
- `projects` (union string | [] string)
  The projects to filter by.
  One of: `string` or `string[]`
- `query` (string)
  A free-text query string.
- `schedules` (union [] string | string)
  The schedules to filter by.
  One of: `string[]` or `string`
- `sortField` (enum)
  The field to sort the results by.
  Values: `name`, `createdAt`, `updatedAt`, `status`
- `sortOrder` (enum)
  The sort order.
  Values: `asc`, `desc`
- `status` (union [] string | string)
  The status to filter by.
  One of: `string[]` or `string`
- `tags` (union string | [] string)
  Tags to filter monitors.
  One of: `string` or `string[]`
- `useLogicalAndFor` (union enum | [] enum)
  Specifies whether to apply logical AND filtering for specific fields. Accepts either a string with values "tags" or "locations" or an array containing both.
  Values: `tags`, `locations`

## Response

A successful response.

`application/json`

Type: `object`

## Code Examples

#### Console

```console
GET /api/synthetics/monitors
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/synthetics/monitors"
```

## Response Examples

#### Get synthetic monitors response example1

A successful response from `GET /api/synthetics/monitors?tags=prod&monitorTypes=http&locations=us-east-1&projects=project1&status=up`.

```json
{
    "page": 1,
    "total": 24,
    "monitors": [
        {
            "type": "icmp",
            "enabled": false,
            "alert": {
                "status": {
                    "enabled": true
                },
                "tls": {
                    "enabled": true
                }
            },
            "schedule": {
                "number": "3",
                "unit": "m"
            },
            "config_id": "e59142e5-1fe3-4aae-b0b0-19d6345e65a1",
            "timeout": "16",
            "name": "8.8.8.8:80",
            "locations": [
                {
                    "id": "us_central",
                    "label": "North America - US Central",
                    "geo": {
                        "lat": 41.25,
                        "lon": -95.86
                    },
                    "isServiceManaged": true
                }
            ],
            "namespace": "default",
            "origin": "ui",
            "id": "e59142e5-1fe3-4aae-b0b0-19d6345e65a1",
            "max_attempts": 2,
            "wait": "7",
            "revision": 3,
            "mode": "all",
            "ipv4": true,
            "ipv6": true,
            "created_at": "2023-11-07T09:57:04.152Z",
            "updated_at": "2023-12-04T19:19:34.039Z",
            "host": "8.8.8.8:80"
        }
    ],
    "absoluteTotal": 24,
    "perPage": 10,
}
```

